### Method

# Camel Store initial_setup_sync

since: 3.20

#### Declaration [src]

    gboolean
    camel_store_initial_setup_sync (
      CamelStore* store,
      GHashTable** out_save_setup,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Runs initial setup for the `store`. It’s meant to preset some values the first time the account connects to the server after it had been created. The function should return `TRUE` even if it didn’t populate anything. The default implementation does just that.

The save_setup result, if not `NULL`, should be freed using g_hash_table_destroy(). It’s not an error to have it `NULL`, it only means the `store` doesn’t have anything to save. Both the key and the value in the hash are newly allocated UTF-8 strings, owned by the hash table.

The `store` advertises support of this function by including CAMEL_STORE_SUPPORTS_INITIAL_SETUP in CamelStore::flags.

Available since: 3.20

#### Parameters

`out_save_setup`

  Type: `GHashTable`

  Setup values to save.

  The argument will be set by the function.
  The caller of the method takes ownership of the returned data container, but not the data inside it.

`cancellable`

  Type: `GCancellable`

  Optional `GCancellable` object, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` on success, `FALSE` on error.